#include <iostream>
#include <iomanip>
#include <fstream>
#include <sstream>
#include <string>
#include <vector>
#include "../Block.hh"
#include "../Header.hh"
#include "../Utils.hh"

using namespace Header;
using namespace Block;
using std::string;
using std::vector;

int main(int argc, char * argv[])
{

  string fname;
  if(argc==1) fname = "data/s70_tape_test_S181_S18101.dat";
  else if(argc==2) fname = argv[1];

  DataBlock block(idSurvey(fname));
  std::ifstream fin;
  fin.open(fname.c_str(),std::ios::binary);
  block.readBlock(fin);

  std::cerr << "Filename = " << fname << "\n";

  string ut_strt = block.getKeyword<string>(UT_STRT);
  std::cerr << "UT_STRT: " << ut_strt << "\n";  
  std::cerr << "       : " << dmsToDec(ut_strt) << "\n";
  std::cerr << "       : " << decToDMS(dmsToDec(ut_strt)) << "\n";
  std::cerr << "       : " << decToDMS(dmsToDec(ut_strt),0,"") << "\n";

  std::cerr << "FITS file :    " << block.getFITSname() << "\n";
  block.readBlock(fin);
  std::cerr << "FITS file #2 : " << block.getFITSname() << "\n";

  string date = block.getKeyword<string>(DATE);
  std::cerr << "DATE: " << date << "\n";    
  std::cerr << "add a day to DATE : " << addDay(date) << "\n";
  string newdate = "91/12/31";
  std::cerr << "add a day to " << newdate << ": " << addDay(newdate) << "\n";

}
